git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

What's wrong on using Popen's communicate method?


On Sat, Jul 6, 2019 at 2:03 PM Michael Torrie <torriem at gmail.com> wrote:
>
> On 07/05/2019 09:03 PM, jfong at ms4.hinet.net wrote:
> >     From Vista to Win10? That's a three generation gap! Buy a new PC might be a better solution:-)
>
> Maybe.  Windows 10 would probably run okay on that machine. It might be
> 10 years old, but if it's 64-bit, Win 10 should run on it.
>
> You could also buy a hard drive and download the ISO from Microsoft and
> give it a try.  If it works you can buy the license for it (sigh).
>
> Of course there are also other good alternatives too.

When I said "upgrade to a better operating system", I wasn't being
specific. There are plenty of better OSes than Windows Vista; Win 10
is just one of them. Upgrading to the latest release of Debian
GNU/Linux would almost certainly solve your problem, as there is
plenty of support in any current Linux distro for managing other
programs. Of course, every decision has consequences, so it's up to
you to decide whether it's better to upgrade your existing hardware to
a newer Windows, switch to Linux, switch to BSD, buy new hardware, or
something else entirely.

ChrisA